/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for PET Region of Interest Measurements
 */
public enum EnumCV_PETRegionofInterestMeasurements 
{
	// PET Region of Interest Measurements - CID 7466
	METABOLIC_VOLUME_126032("126032"),
	TOTAL_LESION_GLYCOLYSIS_126033("126033"),
	GLYCOLYSIS_126034("126034"),
	TOTAL_LESION_PROLIFERATION_126035("126035"),
	PROLIFERATIVE_ACTIVITY_126036("126036"),
	STANDARDIZED_ADDED_METABOLIC_ACTIVITY_126037("126037"),
	STANDARDIZED_ADDED_METABOLIC_ACTIVITY_BACKGROUND_126038("126038"),
	LESION_TO_BACKGROUND_SUV_RATIO_126039("126039"),
	BACKGROUND_FOR_LESION_TO_BACKGROUND_SUV_RATIO_126040("126040");
	

	private String value;
	
	EnumCV_PETRegionofInterestMeasurements(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}
}
